com.microfocus.awm.model

## Enum ETaurusNotification

- java.lang.Object
- - java.lang.Enum<ETaurusNotification>
  - - com.microfocus.awm.model.ETaurusNotification

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ETaurusNotification>

      public enum ETaurusNotification
      extends java.lang.Enum<ETaurusNotification>

  Notification type of `TaurusNotification`s.
  Author:
    Micro Focus

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_ADDED` Notification even when a single application has been added to an AWM system.
    `APPLICATION_CHANGED` Notification when an AWM application has changed and needs to be refreshed in viewers.
    `APPLICATION_LOADED` Notification when an AWM application has been loaded.
    `APPLICATION_REMOVED` Notification even when a single application has been removed from an AWM system.
    `APPLICATION_UNLOADED` Notification when an AWM application was unloaded.
    `APPLICATION_UPDATE` Notification when an AWM application is updated.
    `COLUMN_SETTING_CHANGE` Notification when column setting may have been changed
    `CONFIG_RELOADED` Notification when an AWM model has been loaded.
    `ELEMENT_ELEMENTLIST_CLEAR` Deprecated. not used anymore. Use ELEMENTLIST_REMOVED instead.
    `ELEMENT_INSERTED` Notification when an element or element list entry has been created.
    `ELEMENT_REMOVED` Notification when an element was deleted.
    `ELEMENT_UPDATED` Notification when an element has been updated.
    `ELEMENTLIST_ADDED` Notification when a new element list has been added to the directory.
    `ELEMENTLIST_REFRESHED` Notification when an element list has been updated.
    `ELEMENTLIST_REMOVED` Notification when an element list has been removed from the directory or a table view.
    `ELEMENTLIST_SET_VISIBLE` Notification when an element list was set visible to the user.
    `ELEMENTLISTS_REMOVED` Notification when all element lists have been removed from the directory.
    `ERROR_FEEDBACK_ENTRIES_REMOVED` Notification event when error feedback entries have been removed.
    `ETV_CLEAR_TABLE` Deprecated. Use ELEMENTLIST_REMOVED instead.
    `ETV_ELEMENTLIST_SHOWN` Notification event which will be triggered as soon as an element list is displayed in the element table view.
    `ETV_REFRESH_TABLE` Deprecated. Use ELEMENTLIST_REFRESHED instead.
    `ETV_SHOW_ELEMENTLIST` Deprecated. Use ELEMENTLIST_SET_VISIBLE instead.
    `FILTER_ADDED` Notification when a filter has been created.
    `FILTER_DELETED` Notification when all filters have been deleted.
    `FILTER_LOADED` Notification when all filters have been loaded from cache.
    `FILTER_MOVED` Notification when the order of filters was altered.
    `FILTER_UPDATED` Notification when a filter has been updated.
    `SYSTEM_CREATED` Notification when a new AWM system was created.
    `SYSTEM_REMOVED` Notification when an AWM system was removed.
    `SYSTEMS_LOADED` Notification when all AWM systems have been loaded from cache.
    `TAURUS_SYSTEM_UPDATE` Notification when a system has been updated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ETaurusNotification` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ETaurusNotification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ETV_CLEAR_TABLE

          public static final ETaurusNotification ETV_CLEAR_TABLE

      Deprecated. Use ELEMENTLIST_REMOVED instead.

    - #### ETV_REFRESH_TABLE

          public static final ETaurusNotification ETV_REFRESH_TABLE

      Deprecated. Use ELEMENTLIST_REFRESHED instead.

    - #### ETV_SHOW_ELEMENTLIST

          public static final ETaurusNotification ETV_SHOW_ELEMENTLIST

      Deprecated. Use ELEMENTLIST_SET_VISIBLE instead.

    - #### ELEMENT_INSERTED

          public static final ETaurusNotification ELEMENT_INSERTED

      Notification when an element or element list entry has been created.

    - #### ELEMENT_REMOVED

          public static final ETaurusNotification ELEMENT_REMOVED

      Notification when an element was deleted.

    - #### ELEMENT_UPDATED

          public static final ETaurusNotification ELEMENT_UPDATED

      Notification when an element has been updated.

    - #### CONFIG_RELOADED

          public static final ETaurusNotification CONFIG_RELOADED

      Notification when an AWM model has been loaded.

    - #### TAURUS_SYSTEM_UPDATE

          public static final ETaurusNotification TAURUS_SYSTEM_UPDATE

      Notification when a system has been updated.

    - #### FILTER_UPDATED

          public static final ETaurusNotification FILTER_UPDATED

      Notification when a filter has been updated.

    - #### FILTER_DELETED

          public static final ETaurusNotification FILTER_DELETED

      Notification when all filters have been deleted.

    - #### FILTER_ADDED

          public static final ETaurusNotification FILTER_ADDED

      Notification when a filter has been created.

    - #### FILTER_MOVED

          public static final ETaurusNotification FILTER_MOVED

      Notification when the order of filters was altered.

    - #### ELEMENTLIST_ADDED

          public static final ETaurusNotification ELEMENTLIST_ADDED

      Notification when a new element list has been added to the directory.

    - #### ELEMENTLIST_REFRESHED

          public static final ETaurusNotification ELEMENTLIST_REFRESHED

      Notification when an element list has been updated.

    - #### ELEMENTLIST_SET_VISIBLE

          public static final ETaurusNotification ELEMENTLIST_SET_VISIBLE

      Notification when an element list was set visible to the user.

    - #### ELEMENTLIST_REMOVED

          public static final ETaurusNotification ELEMENTLIST_REMOVED

      Notification when an element list has been removed from the directory or a table view.

    - #### ELEMENTLISTS_REMOVED

          public static final ETaurusNotification ELEMENTLISTS_REMOVED

      Notification when all element lists have been removed from the directory.

    - #### ELEMENT_ELEMENTLIST_CLEAR

          public static final ETaurusNotification ELEMENT_ELEMENTLIST_CLEAR

      Deprecated. not used anymore. Use ELEMENTLIST_REMOVED instead.

    - #### SYSTEM_CREATED

          public static final ETaurusNotification SYSTEM_CREATED

      Notification when a new AWM system was created.

    - #### SYSTEM_REMOVED

          public static final ETaurusNotification SYSTEM_REMOVED

      Notification when an AWM system was removed.

    - #### SYSTEMS_LOADED

          public static final ETaurusNotification SYSTEMS_LOADED

      Notification when all AWM systems have been loaded from cache.

    - #### APPLICATION_ADDED

          public static final ETaurusNotification APPLICATION_ADDED

      Notification even when a single application has been added to an AWM system.

    - #### APPLICATION_UPDATE

          public static final ETaurusNotification APPLICATION_UPDATE

      Notification when an AWM application is updated.

    - #### APPLICATION_CHANGED

          public static final ETaurusNotification APPLICATION_CHANGED

      Notification when an AWM application has changed and needs to be refreshed in viewers.

    - #### APPLICATION_LOADED

          public static final ETaurusNotification APPLICATION_LOADED

      Notification when an AWM application has been loaded.

    - #### APPLICATION_UNLOADED

          public static final ETaurusNotification APPLICATION_UNLOADED

      Notification when an AWM application was unloaded.

    - #### APPLICATION_REMOVED

          public static final ETaurusNotification APPLICATION_REMOVED

      Notification even when a single application has been removed from an AWM system.

    - #### ETV_ELEMENTLIST_SHOWN

          public static final ETaurusNotification ETV_ELEMENTLIST_SHOWN

      Notification event which will be triggered as soon as an element list is displayed in the element table view. Will also be triggered if the user switches between element lists with the left/right arrow buttons.

    - #### FILTER_LOADED

          public static final ETaurusNotification FILTER_LOADED

      Notification when all filters have been loaded from cache.

    - #### COLUMN_SETTING_CHANGE

          public static final ETaurusNotification COLUMN_SETTING_CHANGE

      Notification when column setting may have been changed

    - #### ERROR_FEEDBACK_ENTRIES_REMOVED

          public static final ETaurusNotification ERROR_FEEDBACK_ENTRIES_REMOVED

      Notification event when error feedback entries have been removed.

  - ### Method Detail

    - #### values

          public static ETaurusNotification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ETaurusNotification c : ETaurusNotification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ETaurusNotification valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.